function objetoAjax(){
 var xmlhttp=false;
 try {
  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 } catch (e) {
  try {
   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  } catch (E) {
   xmlhttp = false;
  }
 }
 if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
  xmlhttp = new XMLHttpRequest();
 }
 return xmlhttp;
}

function listarpersonal(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById("serv").value;
   var tp = document.getElementById("tipopersonal").value;
   var esp = document.getElementById("especialidad").value;
    
  
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "listarpersonal.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

//bsuqueda del personal en el servicio por campos
function listarpersonalprog(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById("serv").value;
   var nom = document.getElementById("nombre").value;
   var tp = document.getElementById("tipopersonal").value;
   var esp = document.getElementById("especialidad").value;
    var tcont = document.getElementById("tcontrato").value;
    
  divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonalprog.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&tcont="+tcont+"&aleatorio="+aleatorio+"&tbusq=1&nombre="+nom);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

//buscar al personal del servicio por el nombre
function buscarpersonalservicio(){
   var ids = document.getElementById('serv').value;
   var idj = document.getElementById('depa').value;
   var nombre = document.getElementById('nombre').value;
      //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonalprog.php?idj="+idj+"&ids="+ids+"&nombre="+nombre+"&aleatorio="+aleatorio+"&tbusq=2");
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

//Exportar al Excel en un servicio
	function listarpersonalxlsserv(){
		
	   var idj = document.getElementById('depa').value;
	   var ids = document.getElementById('serv').value;
	   var tp = document.getElementById('tipopersonal').value;
	   var esp = document.getElementById('especialidad').value;
	   var tcont = document.getElementById('tcontrato').value;
	   var nombre = document.getElementById('nombre').value;
	   var aleatorio=Math.random();
	   if(nombre==' '){
	 document.location = "exportaexcelserv.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1";
	 }else{
	 document.location = "exportaexcelserv.php?idj="+idj+"&ids="+ids+"&nombre="+nombre+"&aleatorio="+aleatorio+"&tbusq=2";
	  }
	 
	}
	
function listarpersonalterm1(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById('serv1').value;
   var tp = document.getElementById('tipopersonal').value;
   var esp = document.getElementById('especialidad').value;
   var tcont = document.getElementById('tcontrato').value;
   //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonalterm.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1");
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarpersonalterm1servicio(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById('serv').value;
   var tp = document.getElementById('tipopersonal').value;
   var esp = document.getElementById('especialidad').value;
   var tcont = document.getElementById('tcontrato').value;
   //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonaltermserv.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1");
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}
function listarpersonalxls(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById('serv1').value;
   var tp = document.getElementById('tipopersonal').value;
   var esp = document.getElementById('especialidad').value;
   var tcont = document.getElementById('tcontrato').value;
    var aleatorio=Math.random();
   //alert(esp);
 //window.open("exportaexcel.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1","","height=400,width=600,scrollbars=NO");
 document.location = "exportaexcel.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1";
 
}

function buscarpersonal(){
	
   var idj = document.getElementById('depa').value;
   var nombre = document.getElementById('nombre').value;
      //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonalterm.php?idj="+idj+"&nombre="+nombre+"&aleatorio="+aleatorio+"&tbusq=2");
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}



function listartipopersonal(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById("serv1").value;
   //var ajax=null;   
  
 divResultado = document.getElementById('divtp');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
  var aleatorio=Math.random();
 ajax.open("GET", "combotipopersona.php?idj="+idj+"&ids="+ids+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 //listarpersonalterm1();
 listartipoespecialidad();
}
function listartipoespecialidad(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById("serv1").value;
        
  
 divResultado = document.getElementById('divesp');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax2=objetoAjax();
  var aleatorio=Math.random();
 ajax2.open("GET", "combotipoespecialidad.php?idj="+idj+"&ids="+ids+"&aleatorio="+aleatorio);
 ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null)
 //listarpersonalterm1();
}
function muestracombos(){
//var ajax1=null; 

//var ajax2=null; 
listartipopersonal();
//
//var ajax3=null; 
//listarpersonalterm1();
}
function listarpersonalvac(){
	
   var idj = document.getElementById('depa').value;
   var ids = document.getElementById('serv').value;
   var tcont = document.getElementById('tcontrato').value;
   var tp = document.getElementById("tipopersonal").value;
   var anno = document.getElementById("anno").value;
    
  
 divResultado = document.getElementById('admlistavac');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonalvac.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&tcont="+tcont+"&anno="+anno+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarpersonaldiv(div){
	
   var idj = document.getElementById('idj').value;
   var ids = document.getElementById("ids").value;
       
  //alert(idj);
  if(div==1){
  var tp = document.getElementById("tipopersonaldm").value;
  var esp = document.getElementById("especialidaddm").value;
  divResultado = document.getElementById('divdm');
  //document.getElementById("dmselect").value=' ';
 }
 if(div==2){
  var tp = document.getElementById("tipopersonalvacaprog").value;
  var esp = document.getElementById("especialidadvacaprog").value;
 divResultado = document.getElementById('divvacaprog');
 //document.getElementById('vacaprog')='';
 }
 if(div==3){
  var tp = document.getElementById("tipopersonalvacaeje").value;
  var esp = document.getElementById("especialidadvacaeje").value;
 divResultado = document.getElementById('divvacaeje');
 //document.getElementById('vacaeje')='';
 }
  if(div==4){
  var tp = document.getElementById("tipopersonallic").value;
  var esp = document.getElementById("especialidadlic").value;
 divResultado = document.getElementById('divlic');
 //document.getElementById('vacaeje')='';
 }
 
   if(div==5){
  var tp = document.getElementById("tipohoraper").value;
  var esp = document.getElementById("especialidadhper").value;
 divResultado = document.getElementById('divhper');
 //document.getElementById('vacaeje')='';
 }
 
    if(div==6){
  var tp = document.getElementById("tipoperdescradprog").value;
  var esp = document.getElementById("especialidaddescradprog").value;
 divResultado = document.getElementById('divdrprog');
 //document.getElementById('vacaeje')='';
 }
 
    if(div==7){
  var tp = document.getElementById("tipoperdescradeje").value;
  var esp = document.getElementById("especialidaddescradeje").value;
 divResultado = document.getElementById('divdreje');
 //document.getElementById('vacaeje')='';
 }
 
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonaldm.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&div="+div+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarfechadm(){
	
   var ugid = document.getElementById('dmlist').value;
       
  //alert(idj);
 divResultado = document.getElementById('fechadm');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "fechadm.php?ugid="+ugid+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarfechalic(){
	
   var ugid = document.getElementById('liclist').value;
       document.getElementById('outtplic').value=""; 
  //alert(idj);
 divResultado = document.getElementById('fechalic');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
    var aleatorio=Math.random();
 ajax.open("GET", "fechalic.php?ugid="+ugid+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarhoraper(){
	
   var ugid = document.getElementById('hrslist').value;
     document.getElementById('outhrper').value="";
  //alert(idj);
 divResultado = document.getElementById('divhoras');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
    var aleatorio=Math.random();
 ajax.open("GET", "horapermiso.php?ugid="+ugid+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}



function listardescfechalic(){
	
   var ugid = document.getElementById('liclist').value;
   
    var iddesclic = document.getElementById('licselect').value;
 //alert(iddesclic);
       
  //alert(idj);
   var aleatorio=Math.random();
 divResultado = document.getElementById('divdesclic');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadesclic.php?ugid="+ugid+"&iddlic="+iddesclic+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listardescfechalicper(){
	
   var ugid = document.getElementById('ugid').value;
   
    var iddesclic = document.getElementById('licselect').value;
 //alert(iddesclic);
       
  //alert(idj);
   var aleatorio=Math.random();
 divResultado = document.getElementById('divdesclic');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadesclic.php?ugid="+ugid+"&iddlic="+iddesclic+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarhrsfechalic(){
	
   var ugid = document.getElementById('hrslist').value;
   
    var idhrsper = document.getElementById('hrselect').value;
 //alert(iddesclic);
       
  //alert(idj);
   var aleatorio=Math.random();
 divResultado = document.getElementById('divdeschrsp');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadeschrsper.php?ugid="+ugid+"&idhrsper="+idhrsper+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarhrsfechalicper(){
	
   var ugid = document.getElementById('ugid').value;
   
    var idhrsper = document.getElementById('hrselect').value;
 //alert(iddesclic);
       
  //alert(idj);
   var aleatorio=Math.random();
 divResultado = document.getElementById('divdeschrsp');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadeschrsper.php?ugid="+ugid+"&idhrsper="+idhrsper+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}
/*
function listarhrspermiso(){
	
   var ugid = document.getElementById('hrslist').value;
   
    var idhrsper = document.getElementById('nrohrselect').value;
 //alert(iddesclic);
       
  //alert(idj);
   var aleatorio=Math.random();
 divResultado = document.getElementById('divdeschrsp');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadeschrsper.php?ugid="+ugid+"&idhrsper="+idhrsper+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}
*/
function listarvacaprog(){
	
   var ugid = document.getElementById('vacaproglist').value;
       
  //alert(idj);
 divResultado = document.getElementById('vacaprog');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechavacaprog.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}



function listarvacaeje(){
	
   var ugid = document.getElementById('vacaejelist').value;
       
  //alert(idj);
 divResultado = document.getElementById('vacaeje');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechavacaeje.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listardescradprog(){
	
   var ugid = document.getElementById('drproglist').value;
       
  //alert(idj);
 divResultado = document.getElementById('drprog');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadrprog.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listardescradeje(){
	
   var ugid = document.getElementById('drejelist').value;
       
  //alert(idj);
 divResultado = document.getElementById('dreje');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "fechadreje.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}


function actualizaservicio(){
	var idj = document.getElementById('jefatura').value;
  divResultado = document.getElementById('divserv');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "divservicio.php?idj="+idj);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}


 function editarhijo(ufid){
 var ugid = document.getElementById("ugid").value;
 var  cadena ="editarhijo.php?ugid="+ugid+"&ufid="+ufid;
	document.location= cadena;
 }

   function GrabardatosHijo(){
 
 var ugid = document.getElementById("ugid").value;
 var ufid = document.getElementById("ufid").value;
 //var tipof = document.getElementById("tfam").value;

 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var tsexo = document.getElementById("tsexo").value;
 var fnac = document.getElementById("fnac").value;
 

//save 1 es grabar nuevo
//save =2 es modificar datos
 
  if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre(s)');
 document.getElementById('nom').focus();
  }else if(tsexo == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else if(fnac == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else{
    var  cadena ="editarhijo.php?ugid="+ugid+"&tipof=2&apep="+apep+"&apem="+apem+"&nom="+nom+"&tsexo="+tsexo+"&fnac="+fnac+"&ufid="+ufid+"&save=1";
	document.location= cadena;
 } }

 
 function GrabardatosFamiliar(){
 
 var ugid = document.getElementById("ugid").value;
 var ufid = document.getElementById("cfam").value;
 var tipof = document.getElementById("tfam").value;
 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var tsexo = document.getElementById("tsexo").value;
 var fnac = document.getElementById("fnac").value;
 
 //alert(tsexo);
//save 1 es grabar nuevo
//save =2 es modificar datos
 if(ufid==''){
 ufid=0;
 }
  if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre(s)');
 document.getElementById('nom').focus();
  }else if(tsexo == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else if(fnac == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else{
    var  cadena ="editarfamiliar.php?ugid="+ugid+"&tipof="+tipof+"&apep="+apep+"&apem="+apem+"&nom="+nom+"&tsexo="+tsexo+"&fnac="+fnac+"&ufid="+ufid+"&save=1";
	document.location= cadena;
 } } 
 
 
function enviarmail(){
   var ugid = document.getElementById("ugid").value;
   var idj = document.getElementById("idj").value;
   var msg = document.getElementById("msntexto").value;
   var elementos = document.getElementsByName('msn');
    var aleatorio=Math.random();
 for(var i=0; i<elementos.length; i++) {
   if(elementos[i].checked==true){
  var ids = elementos[i].value;
  break;
  }
 }
  
 divResultado = document.getElementById('divmail');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "guardarmail.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&msg="+msg+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 function enviarmailper(){
   var ugid = document.getElementById("ugid").value;
   var idj = document.getElementById("idj").value;
   var msg = document.getElementById("msntexto").value;
   var elementos = document.getElementsByName('msn');
    var aleatorio=Math.random();
 for(var i=0; i<elementos.length; i++) {
   if(elementos[i].checked==true){
  var ids = elementos[i].value;
  break;
  }
 }
  
 divResultado = document.getElementById('divmail');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "guardarmailper.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&msg="+msg+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 function funleermail(){
var idmail = document.getElementById("leermail").value;
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
    var aleatorio=Math.random();
  //alert(idmail);
 divResultado = document.getElementById('divleermail');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "leermail.php?idj="+idj+"&ids="+ids+"&idmsn="+idmail+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 
 //por desarrollar
  function eliminarmail(){
  var idmail = document.getElementById("leermail").value;
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var ugid = document.getElementById("ugid").value;
   var aleatorio=Math.random();
  //alert(idmail);
 divResultado = document.getElementById('divlecturamail');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "eliminamail.php?idj="+idj+"&ids="+ids+"&idmsn="+idmail+"&ugid="+ugid+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 function editarpersonal(){
 var ugid = document.getElementById("ugid").value;
   
 divResultado = document.getElementById('datoperson');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "editarpersonal.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 

 
 function RegresarMenuPersonal(){
 var ugid = document.getElementById("ugid").value;
   
 divResultado = document.getElementById('datoperson');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "personal.php?ugid="+ugid);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 function GrabardatosFamiliar(){
 
 var ugid = document.getElementById("ugid").value;
 var ufid = document.getElementById("cfam").value;
 var tipof = document.getElementById("tfam").value;
 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var tsexo = document.getElementById("tsexo").value;
 var fnac = document.getElementById("fnac").value;
 
 //alert(tsexo);
//save 1 es grabar nuevo
//save =2 es modificar datos
 if(ufid==''){
 ufid=0;
 }
  if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre(s)');
 document.getElementById('nom').focus();
  }else if(tsexo == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else if(fnac == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else{
    var  cadena ="editarfamiliar.php?ugid="+ugid+"&tipof="+tipof+"&apep="+apep+"&apem="+apem+"&nom="+nom+"&tsexo="+tsexo+"&fnac="+fnac+"&ufid="+ufid+"&save=1";
	document.location= cadena;
 } }  
 
 function GrabarNuevoFamiliar(){
 
 var ugid = document.getElementById("ugid").value;
  
 //var ufid = document.getElementById("cfam").value;
 //var tipof = document.getElementById("tfam").value;

 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var tsexo = document.getElementById("tsexo").value;
 var fnac = document.getElementById("fnac").value;
 

//save 1 es grabar nuevo
//save =2 es modificar datos
 
  if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre(s)');
 document.getElementById('nom').focus();
  }else if(tsexo == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else if(fnac == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else{
    var  cadena ="nuevofamiliar.php?ugid="+ugid+"&tipof=2&apep="+apep+"&apem="+apem+"&nom="+nom+"&tsexo="+tsexo+"&fnac="+fnac+"&save=1";
	document.location= cadena;
 } }
 
 function editarhijo(ufid){
 var ugid = document.getElementById("ugid").value;
 var  cadena ="editarhijo.php?ugid="+ugid+"&ufid="+ufid;
	document.location= cadena;
 }
 
  function GrabardatosHijo(){
 
 var ugid = document.getElementById("ugid").value;
 var ufid = document.getElementById("ufid").value;
 //var tipof = document.getElementById("tfam").value;

 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var tsexo = document.getElementById("tsexo").value;
 var fnac = document.getElementById("fnac").value;
 

//save 1 es grabar nuevo
//save =2 es modificar datos
 
  if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre(s)');
 document.getElementById('nom').focus();
  }else if(tsexo == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else if(fnac == 0){
 alert('Seleccione Tipo de Sexo');
 document.getElementById('tsexo').focus();
 }else{
    var  cadena ="editarhijo.php?ugid="+ugid+"&tipof=2&apep="+apep+"&apem="+apem+"&nom="+nom+"&tsexo="+tsexo+"&fnac="+fnac+"&ufid="+ufid+"&save=1";
	document.location= cadena;
 } }
 
 function GrabardatosPersonal(){
 
 var ugid = document.getElementById("ugid").value;
 var dni = document.getElementById("dni").value;
 var pass = document.getElementById("pasw").value;
 var rpass = document.getElementById("rpasw").value;
 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var direc = document.getElementById("direc").value;
 var dist = document.getElementById("dist").value;
 var fnac = document.getElementById("fnac").value;
 var ecivil = document.getElementById("ecivil").value;
 var mail = document.getElementById("mail").value;
 var telf1 = document.getElementById("telf1").value; 
 var telf2 = document.getElementById("telf2").value;
 var cel1 = document.getElementById("cel1").value;  
 var cel2 = document.getElementById("cel2").value;
 var celo = document.getElementById("ocel").value;
 var nplan = document.getElementById("nplan").value;
 var ncol = document.getElementById("ncol").value;
 var nesp = document.getElementById("nesp").value;
 
 if(dni == ''){
 alert('Ingrese DNI');
 document.getElementById('dni').focus();
 }else if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre');
 document.getElementById('nom').focus();
 }else if(direc == ''){
 alert('Ingrese su Direccion');
 document.getElementById('direc').focus();
  }else if(dist == 0){
 alert('Seleccione su Distrito');
 document.getElementById('dist').focus();
 }else if(fnac == '' || fnac=='dd/mm/aaaa'){
 alert('Ingrese Fecha Nacimiento');
 document.getElementById('fnac').focus();
 }else if(ecivil == ''){
 alert('Ingrese Estado Civil');
 document.getElementById('ecivil').focus();
 }else if(mail == ''){
 alert('Ingrese su Correo Electronico');
 document.getElementById('mail').focus();
 }else if(telf1 == ''){
 alert('Ingrese un Numero Telefonico');
 document.getElementById('telf1').focus();
 }else if(cel1 == ''){
 alert('Ingrese su Numero Celular');
 document.getElementById('cel1').focus();
 }else if(pass == ''){
 alert('Ingrese un Password');
 document.getElementById('pasw').focus();
 }else if(pass != rpass){
 alert('Su Paswword no son Iguales');
 document.getElementById('rpasw').value ='';
 document.getElementById('rpasw').focus();
  //var  cadena ="editarnuevopersonal.php?ugid="+ugid+"&error=1";
  //document.location= cadena;
 }else{
    var  cadena ="editarpersonal.php?ugid="+ugid+"&dni="+dni+"&pass="+pass+"&apep="+apep+"&apem="+apem+"&nom="+nom+"&direc="+direc+"&dist="+dist+"&fnac="+fnac+"&ecivil="+ecivil+"&mail="+mail+"&telf1="+telf1+"&telf2="+telf2+"&cel1="+cel1+"&cel2="+cel2+"&celo="+celo+"&nplan="+nplan+"&ncol="+ncol+"&nesp="+nesp+"&save=1";
	document.location= cadena;
 } 

}
 
 function GrabardatosNuevoPersonal(){
 
  var dist = document.getElementById("dist").value;
  var ugid = document.getElementById("ugid").value;
 var dni = document.getElementById("dni").value;
 var pass = document.getElementById("pasw").value;
 var rpass = document.getElementById("rpasw").value;
 var apep = document.getElementById("apep").value;
 var apem = document.getElementById("apem").value;
 var nom = document.getElementById("nom").value;
 var direc = document.getElementById("direc").value;
 var fnac = document.getElementById("fnac").value;
 var ecivil = document.getElementById("ecivil").value;
 var mail = document.getElementById("mail").value;
 var telf1 = document.getElementById("telf1").value; 
 var telf2 = document.getElementById("telf2").value;
 var cel1 = document.getElementById("cel1").value;  
 var cel2 = document.getElementById("cel2").value;
 var celo = document.getElementById("ocel").value;
 var nplan = document.getElementById("nplan").value;
 var ncol = document.getElementById("ncol").value;
 var nesp = document.getElementById("nesp").value;

 if(dni == ''){
 alert('Ingrese DNI');
 document.getElementById('dni').focus();
 }else if(apep == ''){
 alert('Ingrese Apellido Paterno');
 document.getElementById('apep').focus();
 }else if(apem == ''){
 alert('Ingrese Apellido Materno');
 document.getElementById('apem').focus();
 }else if(nom == ''){
 alert('Ingrese Nombre');
 document.getElementById('nom').focus();
 }else if(direc == ''){
 alert('Ingrese su Direccion');
 document.getElementById('direc').focus();
 }else if(dist == 0){
 alert('Seleccione su Distrito');
 document.getElementById('dist').focus();
 }else if(fnac == '' || fnac=='dd/mm/aaaa'){
 alert('Ingrese Fecha Nacimiento');
 document.getElementById('fnac').focus();
 }else if(ecivil == ''){
 alert('Ingrese Estado Civil');
 document.getElementById('ecivil').focus();
 }else if(mail == ''){
 alert('Ingrese su Correo Electronico');
 document.getElementById('mail').focus();
 }else if(telf1 == ''){
 alert('Ingrese un Numero Telefonico');
 document.getElementById('telf1').focus();
 }else if(cel1 == ''){
 alert('Ingrese su Numero Celular');
 document.getElementById('cel1').focus();
 }else if(pass == ''){
 alert('Ingrese un Password');
 document.getElementById('pasw').focus();
 }else if(pass != rpass){
 alert('Su Paswword no son Iguales');
 document.getElementById('rpasw').value ='';
 document.getElementById('rpasw').focus();
  //var  cadena ="editarnuevopersonal.php?ugid="+ugid+"&error=1";
  //document.location= cadena;
 }else{
    var  cadena ="personalnuevo.php?ugid="+ugid+"&dni="+dni+"&pass="+pass+"&apep="+apep+"&apem="+apem+"&nom="+nom+"&direc="+direc+"&dist="+dist+"&fnac="+fnac+"&ecivil="+ecivil+"&mail="+mail+"&telf1="+telf1+"&telf2="+telf2+"&cel1="+cel1+"&cel2="+cel2+"&celo="+celo+"&nplan="+nplan+"&ncol="+ncol+"&nesp="+nesp+"&save=1";
	document.location= cadena;
    window.opener.location.reload();
 } 
 
 }